Page MenuHomePhabricator

[X86] DAGCombine should not introduce FILD in soft-float mode
ClosedPublic

Authored by mkuper on Nov 1 2015, 1:48 AM.

Details

Summary

The x86 "sitofp i64 to double" dag combine, in 32-bit mode, lowers the sitofp directly to X86ISD::FILD (or FILD_FLAG).
This should not be done in soft-float mode.

Diff Detail

Event Timeline

mkuper updated this revision to Diff 38840.Nov 1 2015, 1:48 AM
mkuper retitled this revision from to [X86] DAGCombine should not introduce FILD in soft-float mode.
mkuper updated this object.
mkuper added reviewers: nadav, mbodart.
mkuper added a subscriber: llvm-commits.
nadav edited edge metadata.Nov 2 2015, 10:56 AM
nadav added a subscriber: nadav.

LGTM.

mkuper accepted this revision.Nov 4 2015, 3:21 AM
mkuper added a reviewer: mkuper.
This revision is now accepted and ready to land.Nov 4 2015, 3:21 AM
mkuper closed this revision.Nov 4 2015, 3:22 AM

Closed by r252042